// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：用户信息查询
//author：feizhao
//date：2017-11-16
//discription：用于测试登陆后，综合业务-短信管理的页面对不同状态下用户信息查询测试
//step：1.登录主页面  2.查询用户信息
//修改人：
//修改日期：
//修改内容：

//Account setting.
const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-短信管理查询用户信息
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-短信管理')
     .pause(5000)
     //全部用户信息查询
     .click('#comprehen-message-arrLis-用户状态')
     .pause(1000)
     .click('#全部')
     .pause(1000)
     .setValue('input[placeholder=用户编号]','1001000005')
     .pause(500)
     .click('#comprehen-message-allUser-查询')
     .pause(1000)
     .clearValue('input[placeholder=用户编号]')
     .pause(1000)
     .setValue('input[placeholder=用户姓名]','李桃')
     .pause(500)
     .click('#comprehen-message-allUser-查询')
     .pause(1000)
     .clearValue('input[placeholder=用户姓名]')
     .pause(1000)
     .setValue('input[placeholder=区域]','1001')
     .pause(500)
     .click('#comprehen-message-allUser-查询')
     .pause(1000)
     .clearValue('input[placeholder=区域]')
     .pause(1000)
     .setValue('input[placeholder=用户地址]','止戈乡场镇')
     .pause(500)
     .click('#comprehen-message-allUser-查询')
     .pause(1000)
     .clearValue('input[placeholder=用户地址]')
     //欠费状态下用户信息查询
     .click('#comprehen-message-allUser-用户状态')
     .pause(500)
     .click('#欠费')
     .pause(1000)
     .click('#comprehen-message-arrLis-气表类型')
     .pause(1000)
     .click('#comprehen-message-arrLis-气表类型 ul li:first-child')
     .pause(1000)
     .setValue('input[placeholder=用户编号]','1001000005')
     .pause(500)
     .click('#comprehen-message-arrLis-查询')
     .pause(3000)
     .clearValue('input[placeholder=用户编号]')
     .pause(1000)
     .setValue('input[placeholder=用户姓名]','李桃')
     .pause(500)
     .click('#comprehen-message-arrLis-查询')
     .pause(3000)
     .clearValue('input[placeholder=用户姓名]')
     .pause(1000)
     .setValue('input[placeholder=区域]','1001')
     .pause(500)
     .click('#comprehen-message-arrLis-查询')
     .pause(3000)
     .clearValue('input[placeholder=区域]')
     .pause(1000)
     .setValue('input[placeholder=用户地址]','止戈乡场镇')
     .pause(500)
     .click('#comprehen-message-arrLis-查询')
     .pause(3000)
     .clearValue('input[placeholder=用户地址]')
     .pause(500)
     .click('#self-input-group div div button')
     .pause(500)
     .click('#等于')
     .pause(500)
     .setValue('#vc-input-input-name','51.48')
     .pause(1000)
     .click('#comprehen-message-arrLis-查询')
     .pause(10000)
     .end();
   }
 }
